Retrieve All Picklists
Retrieve all picklists in the authenticated Vault which the authenticated user has access to view.
GET
/api/{version}/objects/picklistsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.2/objects/picklistsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Success",
"errorCodes": null,
"picklists": [
{
"name": "issue_source__v",
"label": "Source",
"kind": "global",
"systemManaged": false,
"usedIn": [
{
"objectName": "issue_escalation__v",
"propertyName": "issue_source__v"
}
]
},
{
"name": "third_party_service__v",
"label": "Third Party Service?",
"kind": "global",
"systemManaged": false,
"usedIn": [
{
"objectName": "adverse_event_report__v",
"propertyName": "third_party_service__v"
}
]
},
{
"name": "exception_item_error_status__sys",
"label": "User Exception Item Error Status",
"kind": "global",
"systemManaged": false,
"usedIn": [
{
"objectName": "exception_item__sys",
"propertyName": "error_status__sys"
}
]
},
{
"name": "audit_program_sig_type__sys",
"label": "Audit Program Signature Type",
"kind": "global",
"systemManaged": false,
"usedIn": [
{
"objectName": "audit_program_sig__sys",
"propertyName": "signature_type__sys"
}
]
},
{
"name": "country_cda__v",
"label": "Country",
"kind": "global",
"systemManaged": true,
"usedIn": [
{
"objectName": "country__v",
"propertyName": "country_cda__v"
}
]
},
{
"name": "email_template_type__v",
"label": "Email Template Type",
"kind": "global",
"system": true,
"usedIn": [
{
"documentTypeName": "email_template__v",
"propertyName": "emailTemplateType_b"
}
]
},
{
"name": "license_type__v",
"label": "License Type",
"kind": "user",
"system": true
}
],
"errorType": null
}